--NAME:GESA_SNMP_APC_PDU_BANK
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_APC_PDU_BANK','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_apc_pdu_bank -a $IP $SNMP_COM <sensor>',300000,'Récupère la consommation d''un bank d''un PDU APC','false',3,NULL,'APC','PDU,BANK,APC');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_BANK'),'GAUGE','#current=([0-9\.]*)#','300','Bank_usage','0','-1','amperes','AREA','#83bc00',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_BANK'),'GAUGE','#total=([0-9\.]*)#','300','Total_usage','0','-1','amperes','LINE1','#007FFF',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_BANK'),'GAUGE','#percent=([0-9\.]*)#','300','percent_total','0','100','percent','AREA','#83bc00',1);
