--NAME:GESA_SNMP_DAHUA_LOAD
--INFRA:GESA

INSERT INTO esia_plugins(
            plugin_id, plugin_name, plugin_path, plugin_type, 
            plugin_default_parameter, plugin_default_interval_time, plugin_description,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag)
    VALUES (DEFAULT,'GESA_SNMP_DAHUA_LOAD','/usr/local/esia/plugins/check_nrpe','default',
		'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_dahua_load -a $IP $SNMP_COM 80 90', 300000, 'Test le CPU des enregistreurs Dahua',2,
		'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI_PERCENT.php','DAHUA','NVR,RECORDER,CPU');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_DAHUA_LOAD'),'GAUGE','#cpu=([0-9\.]*)#',300,DEFAULT,'cpu',0,100,'percent','AREA','#007FFF');
