--NAME:GESA_SNMP_SW_CISCO_FLASH
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,
	plugin_html_template,plugin_manufacturer,plugin_tag)
VALUES (DEFAULT,'GESA_SNMP_SW_CISCO_FLASH','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_flash -a $IP $SNMP_COM 80 90',300000,'Test l''espace restant sur la flash des switchs Ciscos','false',3,NULL,'CISCO','FLASH,SWITCH');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'flash',0,100,'percent','AREA','#007FFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),'GAUGE','#usage=([0-9\.]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),'GAUGE','#total=([0-9\.]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL);
