--UPDATE PARAMETER
UPDATE esia_plugins SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_load -a $IP $SNMP_COM 80 90'
WHERE plugin_name = 'GESA_SNMP_SW_CISCO_LOAD';
UPDATE esia_plugins SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_mem -a $IP $SNMP_COM 80 90'
WHERE plugin_name = 'GESA_SNMP_SW_CISCO_MEM';
UPDATE esia_plugins SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_psu -a $IP $SNMP_COM'
WHERE plugin_name = 'GESA_SNMP_SW_CISCO_ENV';
--UPDATE RRD
UPDATE rrd_plugins SET rrd_regex='#cpu=([0-9]*)#'
WHERE rrd_name='cpu' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_LOAD');
UPDATE rrd_plugins SET rrd_regex='#Processor=([0-9\.]*)#'
WHERE rrd_name='cpu_mem' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_MEM');
UPDATE rrd_plugins SET rrd_regex='#I\/O=([0-9\.]*)#'
WHERE rrd_name='IO_mem' AND rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_MEM');


-- UPDATE SERVICE
UPDATE esia_services
SET service_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_load -a $IP $SNMP_COM 80 90'
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_LOAD');

UPDATE esia_services
SET service_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_mem -a $IP $SNMP_COM 80 90'
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_MEM');

UPDATE esia_services
SET service_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_psu -a $IP $SNMP_COM',
	service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_PSU'),
	service_name='GESA_SNMP_SW_CISCO_PSU'
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_ENV');

-- UPDATE PATTERN
UPDATE esia_service_pattern_included
SET included_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_load -a $IP $SNMP_COM 80 90'
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch') AND
	included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_LOAD');

UPDATE esia_service_pattern_included
SET included_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_mem -a $IP $SNMP_COM 80 90'
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch') AND
	included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_MEM');

UPDATE esia_service_pattern_included
SET included_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_cisco_psu -a $IP $SNMP_COM',
        included_name='GESA_SNMP_SW_CISCO_PSU',
        included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_PSU')
WHERE included_pattern_id = (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch') AND
        included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_SW_CISCO_ENV');

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)

SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),4,
		'GESA_SNMP_SW_CISCO_TEMP',3,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),4,
		'GESA_SNMP_SW_CISCO_FAN',3,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));


INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),4,
		'GESA_SNMP_SW_CISCO_FLASH',3,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));
--AJOUT IDRAC
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),4,
		'GESA_SNMP_IDRAC_GLOBALHEALTH',3,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_SYSHEALTH')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'));


-- Corrections fortinet
UPDATE esia_services
SET service_parameter = replace(service_parameter,'%','')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name ilike '%fortinet%') AND service_parameter like '%\%%';

-- Services UPS
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)

SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),4,
                'GESA_SNMP_UPS_STATE',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));


-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),4,
                'GESA_SNMP_UPS_ALARM',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));

-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)

SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),4,
                'GESA_SNMP_UPS_BATTERY',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));


-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),4,
                'GESA_SNMP_UPS_INPUT',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));
