--NAME:GESA_SNMP_UPS_LINE
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_UPS_LINE','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ups_line -a $IP $SNMP_COM 1 80 90',300000,'test un UPS compatible UPS-MIB','false',7,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_UPS_LINE'),'GAUGE','#([0-9\.]*)\s+Watt#','300','watt','0','-1','','LINE1','#0174DF',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_UPS_LINE'),'GAUGE','#([0-9\.]*)\s+Volt#','300','volt','0','-1','','LINE1','#83bc00',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_UPS_LINE'),'GAUGE','#([0-9\.]*)\s+Amperes#','300','current','0','-1','amperes','AREA','#83bc00',2);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_UPS_LINE'),'GAUGE','#([0-9\.]*)\s+Hz#','300','Frequency','0','-1','Hz','LINE1','#83bc00',3);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_UPS_LINE'),'GAUGE','#([0-9\.]*)\%\s+load#','300','load','0','100','percent','AREA','#83bc00',4);
