-- Ajout des rrds GESA_SNMP_APC_PDU_HEALTH lors de mises a jour
INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#va=([0-9\.]*)#','300','apparent_power','0','-1','va','LINE1','#007FFF',1);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#watts=([0-9\.]*)#','300','real_power','0','-1','watt','AREA','#83bc00',1);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#powerfactor=([0-9\.]*)#','300','power_factor','0','100','percent','AREA','#83bc00',2);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#amperes=([0-9\.]*)#','300','current','0','-1','amperes','AREA','#83bc00',3);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
        VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#voltage=([0-9\.]*)#','300','voltage','0','-1','volts','AREA','#83bc00',4);

--idrac
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_IDRAC_GLOBALHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),
    300000,3);

--cisco_sw
INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority)
VALUES (DEFAULT,'GESA_SNMP_SW_CISCO_FAN',
		(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'),
		(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority)
VALUES (DEFAULT,'GESA_SNMP_SW_CISCO_TEMP',
		(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'),
		(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority)
VALUES (DEFAULT,'GESA_SNMP_SW_CISCO_FLASH',
		(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'),
		(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),300000,NULL,NULL,NULL,NULL,NULL,3);

--default_gesa_ups
UPDATE esia_service_pattern_included SET included_name='GESA_SNMP_UPS_LINE',
    included_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE'),
    included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
WHERE included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups')
        AND included_name='GESA_SNMP_UPS';

UPDATE esia_services
SET service_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
WHERE service_included_id = (SELECT included_id FROM esia_service_pattern_included WHERE included_name='GESA_SNMP_UPS_LINE');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_UPS_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_UPS_BATTERY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_UPS_ALARM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_UPS_INPUT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),300000,NULL,NULL,NULL,NULL,NULL,3);


-- SERVICE
-- # services
--cisco

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP'),4,
		'GESA_SNMP_SW_CISCO_TEMP',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_TEMP')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN'),4,
		'GESA_SNMP_SW_CISCO_FAN',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FAN')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH'),4,
		'GESA_SNMP_SW_CISCO_FLASH',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_FLASH')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_CISCO_LOAD')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_cisco_switch'));

-- Idrac
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH'),4,
		'GESA_SNMP_IDRAC_GLOBALHEALTH',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_GLOBALHEALTH')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_SYSHEALTH')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'));

-- ups
UPDATE esia_services
SET service_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
WHERE service_included_id = (SELECT included_id FROM esia_service_pattern_included WHERE included_name='GESA_SNMP_UPS_LINE');

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE'),4,
                'GESA_SNMP_UPS_STATE',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_STATE')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));


-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM'),4,
                'GESA_SNMP_UPS_ALARM',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_ALARM')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));

-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)

SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY'),4,
                'GESA_SNMP_UPS_BATTERY',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_BATTERY')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));


-------------------------------------------
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
        service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),service_device_id,300000,
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT'),4,
                'GESA_SNMP_UPS_INPUT',3,
                (SELECT included_id
                 FROM esia_service_pattern_included
                 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_INPUT')
                        AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
        (SELECT included_id
         FROM esia_service_pattern_included
         WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPS_LINE')
                AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ups'));
